"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServerRuntime = void 0;
const esm_runtime_1 = require("esm-runtime");
function createServerRuntime(sp) {
    const runtime = esm_runtime_1.createRuntime({
        loadUrl: (url) => sp.loadUrl(url, { isSSR: true, allowStale: false, encoding: 'utf8' }),
    });
    sp.onFileChange(({ filePath }) => {
        const url = sp.getUrlForFile(filePath);
        if (url) {
            runtime.invalidateUrl(url);
        }
    });
    return runtime;
}
exports.createServerRuntime = createServerRuntime;
